Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.oraclespecific
Class Oracle9Platform

`java.lang.Object
oracle.toplink.internal.databaseaccess.OraclePlatform
oracle.toplink.platform.database.oracle.OraclePlatform
oracle.toplink.oraclespecific.Oracle8Platform
oracle.toplink.platform.database.oracle.Oracle8Platform
oracle.toplink.oraclespecific.Oracle9Platform`

Direct Known Subclasses:
  Oracle9Platform

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `Oracle9Platform`

public class Oracle9Platform
extends Oracle8Platform

Purpose: Supports usage of certain Oracle JDBC specific APIs.

Supports binding NCHAR, NVARCHAR, NCLOB types as required by Oracle JDBC drivers.

Supports Oracle JDBC TIMESTAMP, TIMESTAMPTZ, TIMESTAMPLTZ types.

See Also:
  Serialized Form

Field Summary
`static java.lang.Class` | `NCHAR` Deprecated.
`static java.lang.Class` | `NCLOB` Deprecated.
`static java.lang.Class` | `NSTRING` Deprecated.
`static java.lang.Class` | `XMLTYPE` Deprecated.

Constructor Summary
`Oracle9Platform()` Deprecated.

Methods inherited from class oracle.toplink.platform.database.oracle.Oracle8Platform
`getLobValueLimits, setLobValueLimits, setShouldUseLocatorForLOBWrite, shouldUseLocatorForLOBWrite`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NCHAR

    public static final java.lang.Class NCHAR

  Deprecated.

### NSTRING

    public static final java.lang.Class NSTRING

  Deprecated.

### NCLOB

    public static final java.lang.Class NCLOB

  Deprecated.

### XMLTYPE

    public static final java.lang.Class XMLTYPE

  Deprecated.

Constructor Detail

### Oracle9Platform

    public Oracle9Platform()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD